Subject: [Anima] FW: New Version Notification for draft-ietf-anima-jws-voucher-02.txt

From: "Werner, Thomas" <[email-masked]>
Date: Fri, 4 Mar 2022 11:38:31 +0000

Hello,

I just uploaded the new version of: draft-ietf-anima-jws-voucher-02

Main changes are:
- Added adoption call comments from Toerless. Changed from [RFCxxxx] to [THING] style for some key references.
- Updated references "I-D.ietf-anima-brski-async-enroll" switched to "I-D.ietf-anima-brski-prm"
- Switch from "JWS Compact Serialization" to "General JWS JSON Serialization", as focus is now on "General JWS JSON Serialization"
- Include Voucher representation in "General JWS JSON Serialization" syntax
- Include examples A1, A2, A3 using "General JWS JSON Serialization

Best regards
Thomas

> -----Original Message-----
> From: [email-masked] <[email-masked]>
> Sent: Freitag, 4. März 2022 12:31
> To: Michael Richardson <[email-masked]>; Werner, Thomas (T CST SEA-DE) <[email-masked]>
> Subject: New Version Notification for draft-ietf-anima-jws-voucher-02.txt
> 
> 
> A new version of I-D, draft-ietf-anima-jws-voucher-02.txt
> has been successfully submitted by Thomas Werner and posted to the IETF repository.
> 
> Name:		draft-ietf-anima-jws-voucher
> Revision:	02
> Title:		JWS signed Voucher Artifacts for Bootstrapping Protocols
> Document date:	2022-03-04
> Group:		anima
> Pages:		14
> URL:            https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Farchive%2Fid%2Fdraft-ietf-
> anima-jws-voucher-02.txt&amp;data=04%7C01%7Cthomas-
> werner%40siemens.com%7C0bd166014ab44d9a947408d9fdd2713c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63781
> 9903158285775%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3
> 000&amp;sdata=sLuE1VWqdfdFzn4kaPEFOPOg8rxgUBDz2QYfOer5N9c%3D&amp;reserved=0
> Status:         https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-anima-
> jws-voucher%2F&amp;data=04%7C01%7Cthomas-
> werner%40siemens.com%7C0bd166014ab44d9a947408d9fdd2713c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63781
> 9903158285775%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3
> 000&amp;sdata=1kV4olNvb2WaeU7FR2QiL%2B8AeTUw40I7ye8DcJXqeT4%3D&amp;reserved=0
> Htmlized:       https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-
> ietf-anima-jws-voucher&amp;data=04%7C01%7Cthomas-
> werner%40siemens.com%7C0bd166014ab44d9a947408d9fdd2713c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63781
> 9903158285775%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3
> 000&amp;sdata=ON5joztOPLsl2h4oHRpzvOWiNl7ppVpyAMcxStWEbUI%3D&amp;reserved=0
> Diff:           https://eur01.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ietf.org%2Frfcdiff%3Furl2%3Ddraft-ietf-
> anima-jws-voucher-02&amp;data=04%7C01%7Cthomas-
> werner%40siemens.com%7C0bd166014ab44d9a947408d9fdd2713c%7C38ae3bcd95794fd4addab42e1495d55a%7C1%7C0%7C63781
> 9903158285775%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C3
> 000&amp;sdata=fNJy0q2G6S65JwLhtyR0mnYfPolCoDrCd4VRofFMv9U%3D&amp;reserved=0
> 
> Abstract:
>    RFC8366 defines a digital artifact called voucher as a YANG-defined
>    JSON document that has been signed using a Cryptographic Message
>    Syntax (CMS) structure.  This memo introduces a variant of the
>    voucher structure in which CMS is replaced by the JSON Object Signing
>    and Encryption (JOSE) mechanism described in RFC7515 to better
>    support use-cases in which JOSE is preferred over CMS.
> 
>    In addition to explaining how the format is created, MIME types are
>    registered and examples are provided.
> 
> 
> 
> 
> The IETF Secretariat
>